<% content_for :head do %>
  <%= stylesheet_link_tag 'memes' %>
<% end %>

<% content_for :footer do %>
  <%= javascript_include_tag 'memes' %>
<% end %>

<h1>Meme Generator</h1>

<div class="container">
  <br/>
  <div class="row">
    <div class="col-lg-4">
      <table class="table striped-table">
        <tbody>
          <tr>
            <td>
              <input id="imgFile" type="file" accept="image/*"/>
              <label for="imgFile" class="btn btn-success">Upload image</label>
              <small id="passwordHelpBlock" class="form-text text-muted">
                You can get plain meme images from <a href="https://imgflip.com/memetemplates" target="_blank">Meme Templates</a>
              </small>
            </td>
          </tr>

          <tr>
            <td>
              <input id="textTop" type="text" class="block" placeholder="Top text" />
              <input id="textSizeTop" type="range" min="2" max="50" step="2" />
            </td>
          </tr>

          <tr>
            <td>
              <input id="textBottom" type="text" class="block" placeholder="Bottom text" />
              <input id="textSizeBottom" type="range" min="2" max="50" step="2" />
            </td>
          </tr>

          <tr>
            <td>
              <button class="btn btn-danger" id="export">Export!</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>

    <div class="col-lg-8">
      <div id="canvasWrapper">
      </div>
    </div>

  </div>
</div>